// #autoload
// #name = LobbyQuitButton
// #description = Adds a small button in the lobby gui that allows you to quit tribes2.
// #version = 1.0
// #date = 18 March 2003
// #author = Danny de Groot
// #warrior = OddBall-
// #email = dannydg1985@hotmail.com
// #web = http://www.oddballsplace.tk
// #category = OddBall

package LobbyQuitButton {

	function LobbyQuitButtonSetup() {

		new ShellBitmapButton(LobbyQuitButton) {
			profile = "ShellButtonProfile";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "550 15";
			extent = "60 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "quit();";
			helpTag = "0";
			text = "QUIT";
			simpleStyle = "0";
		};

		LobbyGui.add(LobbyQuitButton);

	}

	function DispatchLaunchMode() {
		parent::DispatchLaunchMode();
		LobbyQuitButtonSetup();
	}

};
activatePackage(LobbyQuitButton);
